Subject: Re: Trying to understand alloc_skb()

From: Daniel Ann <[email-masked]>
Date: Tue, 12 Apr 2005 17:49:59 +0900

In addition,

Im running 2.4.21 kernel.

Just then, I was looking at the 2.6.11 kernel source
(net/core/skbuff.c) and found out that large chunk of the alloc_skb()
has been thrown out.

Can this be removed from 2.4.21 also ? I might go and check out why
its been removed.

Still waiting for some good answer tho .. :)

Cheers,

On Apr 12, 2005 5:38 PM, Daniel Ann <[email-masked]> wrote:
> Hiya folks,
> 
> I'm wondering if anyone could help me out with problem I have in alloc_skb().
> 
> My problem is that, kernel dies with "alloc_skb called nonatomically
> from interrupt c00ba718" message. After browsing mailing list, I think
> its to do with not providing it with enough locks prior.
> 
> Question is, what kind of lock should I be providing ?
> 
> Since I have no clue as to which lock does what, I really need some
> good advise as to where to start looking.
> 
> Could someone tell me the inside story on this ?
> 
> --
> Daniel
> 

-- 
Daniel